import java.util.*;

public class Contact {
  private String name, company, phone, fax;
  private int type;

  public Contact(String n, String c, String p, String f, int t) {
    name = n;
    company = c;
    phone = p;
    fax = f;
    type = t;
  }

  public Contact(byte[] data) {
    unpack(new String(data));
  }

  public void unpack(String data) {
    int start = 0, end = data.indexOf(';');
    name = data.substring(start, end);
    start = end + 1;
    end = data.indexOf(';', start);
    company = data.substring(start, end);
    start = end + 1;
    end = data.indexOf(';', start);
    phone = data.substring(start, end);
    start = end + 1;
    end = data.indexOf(';', start);
    fax = data.substring(start, end);
    start = end + 1;
    type = Integer.parseInt(data.substring(start, data.length()));
  }

  public String pack() {
    return (name + ';' + company + ';' + phone + ';' + fax + ';' +
      ((String)Integer.toString(type)));
  }

  public String getName() {
    return name;
  }

  public String getCompany() {
    return company;
  }

  public String getPhone() {
    return phone;
  }

  public String getFax() {
    return fax;
  }

  public int getType() {
    return type;
  }
}
